MWAWSection Class Reference

a class which stores section properties More...

`#include <MWAWSection.hxx>`

Inheritance diagram for MWAWSection:

## Classes

struct | Column
| struct to store the columns properties More...

## Public Member Functions

| MWAWSection ()
| constructor More...
virtual | ~MWAWSection ()
| destructor More...
void | setColumns (int num, double width, WPXUnit widthUnit, double colSep=0)
| a function which sets n uniform columns More...
int | numColumns () const
| returns the number of columns More...
bool | hasSingleColumns () const
| returns the true if the section has only one columns More...
void | addTo (WPXPropertyList &propList) const
| add to the propList More...
void | addColumnsTo (WPXPropertyListVector &propList) const
| add tabs to the propList More...
bool | operator!= (MWAWSection const &sec) const
| operator!= More...
bool | operator== (MWAWSection const &sec) const
| operator== More...

## Public Attributes

std::vector< Column > | m_columns
| the different column More...
double | m_width
| the total section width ( if set ) More...
MWAWBorder | m_columnSeparator
| the vertical separator between columns More...
bool | m_balanceText
| true if the text is balanced between different columns More...
MWAWColor | m_backgroundColor
| the background color More...

## Friends

std::ostream & | operator<< (std::ostream &o, MWAWSection const &sec)
| operator << More...

## Detailed Description

a class which stores section properties

## Constructor & Destructor Documentation

MWAWSection::MWAWSection | ( |  | ) |

inline

constructor

virtual MWAWSection::~MWAWSection | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

void MWAWSection::addColumnsTo | ( | WPXPropertyListVector & | propList | ) | const

add tabs to the propList

void MWAWSection::addTo | ( | WPXPropertyList & | propList | ) | const

add to the propList

Referenced by addColumnsTo().

bool MWAWSection::hasSingleColumns | ( |  | ) | const

inline

returns the true if the section has only one columns

int MWAWSection::numColumns | ( |  | ) | const

inline

returns the number of columns

Referenced by MRWText::send(), FWText::send(), CWText::sendText(), WPParser::sendWindow(), and GWText::sendZone().

bool MWAWSection::operator!= | ( | MWAWSection const & | sec | ) | const

inline

operator!=

Referenced by operator==().

bool MWAWSection::operator== | ( | MWAWSection const & | sec | ) | const

inline

operator==

void MWAWSection::setColumns | ( | int | num,
|  | double | width,
|  | WPXUnit | widthUnit,
|  | double | colSep = `0`
| ) |  |

a function which sets n uniform columns

Note
  : this erases previous columns and border if there are some

Referenced by HMWKTextInternal::Section::getSection(), HMWJTextInternal::Section::getSection(), MSK4Zone::readContentZones(), BWText::readSection(), LWText::sendMainText(), MWProStructuresListenerState::sendSection(), MSW1Parser::sendText(), NSText::sendText(), and WNText::sendZone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWSection const & | sec
| ) |  |

friend

operator <<

## Member Data Documentation

MWAWColor MWAWSection::m_backgroundColor

the background color

Referenced by addTo(), operator!=(), and operator<<().

bool MWAWSection::m_balanceText

true if the text is balanced between different columns

Referenced by addTo(), MSWStruct::Section::getSection(), operator!=(), operator<<(), and BWTextInternal::Section::Section().

std::vector<Column> MWAWSection::m_columns

the different column

Referenced by addColumnsTo(), addTo(), WPParser::findSection(), CWParser::getMainSection(), GWParserInternal::State::getSection(), HMWKTextInternal::Section::getSection(), MSWStruct::Section::getSection(), HMWJTextInternal::Section::getSection(), CWTextInternal::Section::getSection(), FWTextInternal::PageInfo::getSection(), MWProStructuresInternal::Section::getSection(), hasSingleColumns(), numColumns(), operator!=(), operator<<(), MRWParser::readZoneDim(), and setColumns().

MWAWBorder MWAWSection::m_columnSeparator

the vertical separator between columns

Referenced by addTo(), GWParserInternal::State::getSection(), MWAWSection(), operator!=(), operator<<(), MSK4Zone::readContentZones(), MRWParser::readDocInfo(), and BWText::readSection().

double MWAWSection::m_width

the total section width ( if set )

Referenced by operator<<().

The documentation for this class was generated from the following files:

- MWAWSection.hxx
- MWAWSection.cxx